///-------------------------------------------------------------------------------------------------
/// 
/// \file TactileMenu.cpp
/// \brief Definitions for class TactileMenu
/// \author Tobias Baumann (TH Nuernberg).
/// \version 1.0.
/// \date Mon Feb 10 17:11:34 2022.
/// \copyright <a href="https://choosealicense.com/licenses/agpl-3.0/">GNU Affero General Public License v3.0</a>.
/// 
///-------------------------------------------------------------------------------------------------

//includes
#include "TactileMenu.h"


namespace OpenViBE {
namespace Plugins {
namespace Tactilebci {

//TactileMenu Memberfunctions
TactileMenu::TactileMenu(int n_Tactilos)
{
	for(int i = 1; i <= n_Tactilos; i++)
	{
		m_LabelText.push_back("Tactilo" + std::to_string(i));
		m_SubMenu.push_back(this);
	}
}

void TactileMenu::set_LabelText(int i, std::string Text)
{
	m_LabelText[i] = Text;
}

void TactileMenu::set_SubMenu(int i, TactileMenu* Menu)
{
	m_SubMenu[i] = Menu;
}

std::string TactileMenu::get_LabelText(int i)
{
	return(m_LabelText[i]);
}

TactileMenu* TactileMenu::get_SubMenu(int i)
{
	return(m_SubMenu[i]);
}

}  // namespace Tactilebci
}  // namespace Plugins
}  // namespace OpenViBE