///-------------------------------------------------------------------------------------------------
/// 
/// \file TactileMenu.h
/// \brief Class for the Menues of the Tactile P300 System
/// \author Tobias Baumann (TH Nuernberg).
/// \version 1.0.
/// \date Mon Feb 10 17:10:32 2022.
/// \copyright <a href="https://choosealicense.com/licenses/agpl-3.0/">GNU Affero General Public License v3.0</a>.
/// 
///-------------------------------------------------------------------------------------------------
//includes
#pragma once

#include "../ovp_defines.h"

#include <gtk/gtk.h>
#include <openvibe/ov_all.h>
#include <toolkit/ovtk_all.h>

#include <vector>
#include <string>

namespace OpenViBE {
namespace Plugins {
namespace Tactilebci {
	
//Class TactileMenu
class TactileMenu
{
    private:
		std::vector<std::string>   m_LabelText;
		std::vector<TactileMenu*>  m_SubMenu;
		
    public:
        TactileMenu(int n_Tactilos);
		
        std::string get_LabelText(int i);
        TactileMenu* get_SubMenu(int i);
		
		void set_LabelText(int i, std::string Text);
        void set_SubMenu(int i, TactileMenu* Menu);
};

}  // namespace Tactilebci
}  // namespace Plugins
}  // namespace OpenViBE