///-------------------------------------------------------------------------------------------------
/// 
/// \file ovp_defines.h
/// \brief defines for the TactileBCI Plugin
/// \author Tobias Baumann (TH-Nürnberg).
/// \date Mon Feb 04 14:59:56 2022.
/// \copyright <a href="https://choosealicense.com/licenses/agpl-3.0/">GNU Affero General Public License v3.0</a>.
/// 
///-------------------------------------------------------------------------------------------------

#pragma once

// Boxes
// The unique identifiers for the boxes and their descriptors.
// Identifier are randomly chosen by the skeleton-generator.
//---------------------------------------------------------------------------------------------------
#define OVP_ClassId_BoxAlgorithm_P300TactileVisualization		    OpenViBE::CIdentifier(0xd463df86, 0x7fbfdd81)
#define OVP_ClassId_BoxAlgorithm_P300TactileVisualizationDesc		OpenViBE::CIdentifier(0x3e7f0ef5, 0x5ca2a1fc)

#define OVP_ClassId_BoxAlgorithm_UDPStimcodeSender		        	OpenViBE::CIdentifier(0xc326e786, 0xcd512965)
#define OVP_ClassId_BoxAlgorithm_UDPStimcodeSenderDesc		        OpenViBE::CIdentifier(0x82aeb3c9, 0x37303d0e)

#define OVP_ClassId_BoxAlgorithm_TactiloController			        OpenViBE::CIdentifier(0x823bbe28, 0x0daf2111)
#define OVP_ClassId_BoxAlgorithm_TactiloControllerDesc		        OpenViBE::CIdentifier(0xdb6e9c60, 0x4ce98ac3)

// Global defines
//---------------------------------------------------------------------------------------------------
#define MAX_TACTILOS 10

#ifdef TARGET_HAS_ThirdPartyOpenViBEPluginsGlobalDefines
#include "ovp_global_defines.h"
#endif // TARGET_HAS_ThirdPartyOpenViBEPluginsGlobalDefines

#define OV_AttributeId_Box_FlagIsUnstable				OpenViBE::CIdentifier(0x666FFFFF, 0x666FFFFF)


