///-------------------------------------------------------------------------------------------------
/// 
/// \file ovp_main.cpp
/// \brief Declarations/Includes for the TactileBCI Plugin
/// \author Tobias Baumann (TH-Nürnberg).
/// \date Mon Feb 07 14:59:56 2022.
/// \copyright <a href="https://choosealicense.com/licenses/agpl-3.0/">GNU Affero General Public License v3.0</a>.
/// 
///-------------------------------------------------------------------------------------------------

//Tactile BCI Includes
#include <vector>
#include <openvibe/ov_all.h>
#include "ovp_defines.h"

#include "TactileVisualization/ovpCBoxAlgorithmP300TactileVisualization.h"
#include "UDPStimCodeSender/ovpCBoxAlgorithmUDPStimcodeSender.h"
#include "TactiloController/ovpCBoxAlgorithmTactiloController.h"

namespace OpenViBE {
	namespace Plugins {
		namespace Tactilebci {

			OVP_Declare_Begin()

				OVP_Declare_New(CBoxAlgorithmP300TactileVisualizationDesc);
				OVP_Declare_New(CBoxAlgorithmUDPStimcodeSenderDesc);
				OVP_Declare_New(CBoxAlgorithmTactiloControllerDesc);

			OVP_Declare_End()

		}  // namespace Tactilebci
	}  // namespace Plugins
}  // namespace OpenViBE
